<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:java="http://xml.apache.org/xslt/java" 
	version="1.0"
	exclude-result-prefixes="sm sc xalan java">
	
	
<xsl:template match="sm:callModel" mode="in">
<xsl:apply-templates mode="in">
<xsl:with-param name="vView" select="si(local-name(..)!='link', 'xhtmlContent', 'navigation')"/>
</xsl:apply-templates>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:current" mode="in">
<xsl:param name="vView"/>
<call direction="current" model="{/*/sm:model/@sc:refUri}" axis="{@axis}" view="{$vView}"/>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:root" mode="in">
<xsl:param name="vView"/>
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="agentsLies(computeNodeAgent('//agentGenerator', 'listAgentRootAllowed'))">
<call model="{java:getSrcUri(srcFileAgent(.))}" axis="{$vAxis}" view="{$vView}"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:lookForAscendants" mode="in">
<xsl:param name="vView"/>
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="sm:callableModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="{$vView}"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:agentPath" mode="in">
<xsl:param name="vView"/>
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="sm:callableModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="{$vView}"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="text()|@*" mode="in"/>
	
</xsl:stylesheet>
